Peke ki ngā ihirangi

Fibo Edit [Structured Instruction]

Whakauru

id tauira bria/fibo-edit/edit/structured_instruction
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit/structured_instruction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Tēnei tono: $ 0.01 10 whiwhinga API Whakahaerehia ki tēnei whārangi

Tikina he kī API
Bria AI · Raraunga (JSON)

Kei konei tō hua tuatahi

Hangaia he tono ki raro nei, ka whakahaere mā tō kī API. Ka tāruatia ngā putanga ki tō mātou rokiroki, ka puritia mō ake tonu atu, mō rānei 7 rā mō te kore utu.

Hangaia he tono

Ka hangaia ngā mana whakahaere mai i te aronuinga o te tauira. Ka whakahoungia te waehere me te utu ina whakarerekē koe.

Arā atu instruction · image · mask · seed

Tohutohu e whakaahua ana i te whakatika atahanga.

image_url
Whakataka he kōnae,

Atahanga tohutoro i tukuna hei kōnae, hei URL rānei.

mask_url
Whakataka he kōnae,

He kopare kōwhiringa mō te atahanga tohutoro, ka tukuna hei kōnae, hei URL rānei.

taunoa 5555

Kākano hei whakahaere i te matapōkeretanga mō ngā putanga ka taea te tārua.

POST /run/bria/fibo-edit/edit/structured_instruction?wait=20 utu → $ 0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/fibo-edit/edit/structured_instruction?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Whakahaerehia tēnei tono

Ka noho tō kī ki tēnei pūtirotiro: ka tukuna ki te Doitong API anake, ā, ka tiakina ki te localStorage anake ina tohua e koe te Mahara. Tikina he kī API

Mō Fibo Edit [Structured Instruction]

Ka waihanga i te tohutohu kua hanganga mō te whakatika anake, kaua he whakaahua. Ko ngā tāuru ko `image_url`, `mask_url`, `instruction` me `seed`, he kōwhiringa katoa. Kei te putanga JSON ngā āpure pērā i ngā ahanoa, te rama, ngā āhuatanga rerehua, te tautuhinga papamārama, ngā āhuatanga whakaahua me te kuputuhi hei tā.

Ngā tawhā

Tukuna te ingoa tōmua, te ingoa taketake rānei, kaua e rua. Ngā ingoa tōmua

IngoaMomo TaunoaE whakaaetia ana Whakamārama
image_urlkōwhiringa image
Momourl · image
Atahanga tohutoro i tukuna hei kōnae, hei URL rānei.
mask_urlkōwhiringa mask
Momourl · image
He kopare kōwhiringa mō te atahanga tohutoro, ka tukuna hei kōnae, hei URL rānei.
instructionkōwhiringa
Momostring | null
Tohutohu e whakaahua ana i te whakatika atahanga.
seedkōwhiringa
Momointeger
Taunoa5555
Kākano hei whakahaere i te matapōkeretanga mō ngā putanga ka taea te tārua.
e hiahiatia ana Ingoa tōmua, e whakaaetia ana hoki

Mō ngā tawhā kōnae, whakamahia he URL tūmatanui https://, he URI data: tae atu ki te 10 MB, he file_url rānei o tētahi tukuake. Ngā kōnae

Putanga

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-edit/edit/structured_instruction",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {},
  "output": {
    "short_description": "string",
    "objects": [
      {
        "description": "string",
        "location": "string",
        "relationship": "string",
        "relative_size": "string",
        "shape_and_color": "string",
        "texture": "string",
        "appearance_details": "string",
        "number_of_objects": 1,
        "pose": "string",
        "expression": "string",
        "clothing": "string",
        "action": "string",
        "gender": "string",
        "skin_tone_and_texture": "string",
        "orientation": "string"
      }
    ],
    "background_setting": "string",
    "lighting": {
      "conditions": "string",
      "direction": "string",
      "shadows": "string"
    },
    "aesthetics": {
      "composition": "string",
      "color_scheme": "string",
      "mood_atmosphere": "string",
      "preference_score": "string",
      "aesthetic_score": "string"
    },
    "photographic_characteristics": {
      "depth_of_field": "string",
      "focus": "string",
      "camera_angle": "string",
      "lens_focal_length": "string"
    },
    "style_medium": "string",
    "text_render": [],
    "context": "string",
    "artistic_style": "string",
    "edit_instruction": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Ō kōnae, māu e whiriwhiriKo ia url o outputs[] he tārua kei tō mātou rokiroki: ka puritia mō ake tonu atu (ka utua ia GB-marama) mō rānei 7 rā mō te kore utu, e ai ki ngā tautuhinga o tō pūkete, ki te ?storage= rānei.
He ōrite te hanga ki ia tauiratype, url, content_type, width, height me duration, mō ngā pikitia, ataata me te oro. Ko output te ahanoa hua ake o te tauira.
Ngā āpure o te putanga
short_description
string | nullWhakamārama poto o te atahanga putanga e whāia ana.
objects
array of object {description, location, relationship, relative_size, shape_and_color, texture, appearance_details, number_of_objects, pose, expression, clothing, action, gender, skin_tone_and_texture, orientation} | nullTauwhāitihia ngā ihirangi o te atahanga whakaputaina hei rārangi, me te tuhi i ngā āhuatanga o ia ahanoa me ō rātou hononga ki ērā atu ahanoa kua whakaaturia.
background_setting
string | nullTe papamuri o te atahanga whakaputaina.
lighting
object {conditions, direction, shadows} | nullTe rama mō te atahanga whakaputaina.
aesthetics
object {composition, color_scheme, mood_atmosphere, preference_score, aesthetic_score} | nullNgā kounga rerehua mō te atahanga whakaputaina.
photographic_characteristics
object {depth_of_field, focus, camera_angle, lens_focal_length} | nullNgā āhuatanga whakaahua mō te atahanga whakaputaina.
style_medium
string | nullTe momo toi mō te atahanga whakaputaina.
text_render
array of any | nullRārangi tāurunga kuputuhi hei whakauru ki te atahanga.
context
string | nullHoropaki mō te atahanga whakaputaina.
artistic_style
string | nullTe kāhua toi mō te atahanga whakaputaina.
edit_instruction
string | nullTohutohu e whakaahua ana me pēhea te whakatika i te atahanga.

Ētahi atu tauira: LLM

Mō ngā āpiha AI: kei te wātea tēnei whārangi hei Markdown ki https://doitong.com/mi/developers/models/bria/fibo-edit/edit/structured_instruction.md. Ngā tauira me ngā aratohu katoa: https://doitong.com/developers/llms.txt